uiwait(msgbox('You are in first mission mode','First mission','modal'));

%Get needed user input about the AUV
type = inputAUVtype;
area = inputArea;
ropeLocation = inputRopeLocation;
weight = inputWeight;
thisArea = char(area);

%Input temperature and type of water and calcultaion of water density
salinity = inputSalinity;
thisTemperature = inputTemperature;
temperature = thisTemperature(1);
density = calculateDensityNoPressure(temperature,salinity);

%Fetching AUV measurements
switch type
    case 1
        [V,x,y,z,CB,x_aw,y_aw,w_avail] = HUGIN1000;
        thisType = 'HUGIN1000';
	case 2
        %[V,x,y,z,CB,x_aw,y_aw,w_avail] = HUGIN3000;
        %thisType = 'HUGIN3000';
	case 3
        %[V,x,y,z,CB,x_aw,y_aw,w_avail] = HUGIN4500;
        %thisType = 'HUGIN4500';
	case 4
        %[V,x,y,z,CB,x_aw,y_aw,w_avail] = MUNIN;
        %thisType = 'MUNIN';
    case 5
        %[V,x,y,z,CB,x_aw,y_aw,w_avail] = REMUS100;
        %thisType = 'REMUS100';
    case 6
        %[V,x,y,z,CB,x_aw,y_aw,w_avail] = REMUS600;
        %thisType = 'REMUS600';
    case 7
        %[V,x,y,z,CB,x_aw,y_aw,w_avail] = REMUS1500;
        %thisType = 'REMUS1500';
    case 8
        %[V,x,y,z,CB,x_aw,y_aw,w_avail] = REMUS6000;
        %thisType = 'REMUS6000';
    case 9
        %[V,x,y,z,CB,x_aw,y_aw,w_avail] = SEAGLIDER;
        %thisType = 'SEAGLIDER';
end

%Go to the calculations
[addedWeight,newTotalWeight] = calculateAdjustmentFirstMode(V,y,CB,...
    ropeLocation,weight,density,x_aw,y_aw,w_avail);
        
%Create ballasting file
fileCreate(CONFIG,thisType,thisArea,salinity,temperature,...
    newTotalWeight,addedWeight);
