uiwait(msgbox('You have selected post mission mode','Post mission','modal'));

%Load data based on config ID number
[C,n] = fileLoad(CONFIG);
n = n+1;
celldisp(C);
config = C{1}{n-1};
type = C{3}{n-1};
area = C{4}{n-1};
totalWeight = str2double(C{7}{n-1});
addedWeight = strsplit(C{8}{n-1},':');
depthDevNow = str2double(C{9}{n-1});
pitchNow = str2double(C{10}{n-1});
rollNow = str2double(C{11}{n-1});

%Update values
[avgSalinity,avgTemperature,avgDepthDer,avgPitchDer,avgRollDer] = ...
    dataLoading(CONFIG);
thisAddedWeight = [str2double(addedWeight(1)) str2double(addedWeight(2)) str2double(addedWeight(3)) str2double(addedWeight(4))];

%Edit file based on config ID number
fileEdit(CONFIG,type,area,avgSalinity,avgTemperature,totalWeight,...
    thisAddedWeight,avgDepthDer,avgPitchDer,avgRollDer);
