function [CG] = calculateCenterOfGravity(M,m,x,y)
%%calculateNewTotalWeight is a function that calculates the center of
%%gravity

    %Set up weight values
    m_1 = m(1);
    m_2 = m(2);
    m_3 = m(3);
    m_4 = m(4);

    %Set up position values
    r_1 = [x(1) y(1) 0];
    r_2 = [x(2) y(2) 0];
    r_3 = [x(3) y(3) 0];
    r_4 = [x(4) y(4) 0];
    
    %Calculate CG with four particles
    tempCG = ((m_1*r_1)+(m_2*r_2)+(m_3*r_3)+(m_4*r_4))/M;
    CG = roundOffVector3Elements(tempCG);

end

