function [C,n] = fileLoad(configID)
%%fileLoad is a function that will load an ballasting file based for the 
%%post mission mode on the configuration ID entered

    folderName = char(configID);
    fileName = [folderName '/ballasting.txt'];
    fileID = fopen(fileName,'r');

    n = 0;
    tline = fgetl(fileID);
    while ischar(tline)
        n = n + 1;
        tline = fgetl(fileID);
    end
    frewind(fileID);
    C = textscan(fileID,...
        '%s %s %s %s %s %s %s %s %s %s %s \r');
    
    fclose(fileID);
end

