function [weight] = inputWeight()
%%inputWeight is a function for user input of the weights measured

    %Entering of weight measurements
    prompt = {'Enter the total weight [kg]:',...
        'Enter front starboard weight [kg]:',...
        'Enter front port weight [kg]:',...
        'Enter rear startboard weight [kg]:',...
        'Enter rear port weight [kg]:'};
    title = 'Input of weights';
    size = [1 60];
    defaultanswer = {'0.00','0.00','0.00','0.00','0.00'};
    options.Resize = 'on';
    options.WindowStyle = 'normal';
    weight_entered = inputdlg(prompt,title,size,defaultanswer,options);
    weight = str2double(weight_entered);
        
end

