function [weight,buoyancy,m_dif] = calculateWeightBuoyancy(m,V,rho)
%%calculateNewTotalWeight is a function that calculates the weight and
%%buoyancy force

    %The gravitational acceleration
    g = 9.80665;
    
    %The weight calculation
    weight = m*g;
    
    %The buioyancy force calculation
    buoyancy = rho*g*V;

    %Calculating the weight/buoyancy balance
    m_dif = (buoyancy-weight)/g;
    
end

