function salinity = inputSalinity()
%inputSalinity is a function for user input of the type of water
   
    %Selection of type of water
    prompt = 'Choose the type water for the mission:';
    title = 'Selection of water type';
	size = [250 100];
    thisSalinity = listdlg('PromptString',prompt,'SelectionMode',...
        'single','ListString',{'fresh water: 500 ppm', ...
        'brackish water, mildly: 3 000 ppm', ...
        'brackish water, moderately: 10 000 ppm', ...
        'brackish water, heavily: 25 000 ppm', ...
        'sea water: 35 000 ppm'},'Name',title,'ListSize',size);
    
    %Conversion of salinity ratio
    switch(thisSalinity)
        case 1
            salinity = 0.5;
        case 2
            salinity = 3;
        case 3
            salinity = 10; 
        case 4
            salinity = 25;
        case 5
            salinity = 35;
    end
    
end

