function [rounded] = roundOffVector4Elements(unrounded,decimal)
%%roundOffVector4Elements is a function that rounds off a four-elements
%%vector 

    rounded(1) = round(unrounded(1)*decimal)/decimal;
    rounded(2) = round(unrounded(2)*decimal)/decimal;
    rounded(3) = round(unrounded(3)*decimal)/decimal;
    rounded(4) = round(unrounded(4)*decimal)/decimal;
    rounded = [double(rounded(1)) double(rounded(2)) double(rounded(3)) ...
        double(rounded(4))];
    
end

