function [mode] = selectionTemperature(temperatureThen,date)
%%selectionTemperature is a function that lets the user select which
%%temperature that should be used

    message = sprintf('Do you want to use the last measured temperature, which was %d that was measured on the %s?',...
        temperatureThen,date);
	prompt = message;
    title = 'Temperature selection';
	size = [300 50];
    mode = listdlg('PromptString',prompt,'SelectionMode','single', ...
            'ListString',{'Yes, use the last measured temperature',...
            'No, I want to enter a new temperature'},'Name',title,...
            'ListSize',size);
end

